/*$text-color:        $grey-color;*/
/*$background-color:  $brown-color;*/
/*$brand-color:       $red-color;*/
/*$headers-color:     $golden-color;*/
/*$line-color:        $red-brown-color;*/
/*$text-color:        $grey-color;*/
/*$background-color:  #0e2d4c;*/
/*$brand-color:       $red-color;*/
/*$headers-color:     #fced54;*/
/*$line-color:        #67b1d8;*/
/*$background-color2: #0e2d4c;*/
/** Reset some basic elements */
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure { margin: 0; padding: 0; }

/** Basic styling */
body { font-family: Helvetica, Arial, sans-serif; font-size: 20px; line-height: 1.5; font-weight: 400; color: #cccccc; background-color: #111111; /*background: linear-gradient($background-color, $background-color2);*/ /*background: linear-gradient(to right, $background-color2 0%, $background-color 20%, $background-color 80%, $background-color2 100%);*/ -webkit-text-size-adjust: 100%; text-align: justify; text-justify: inter-word; }

/** Set `margin-bottom` to maintain vertical rhythm */
h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure, .highlight { margin-bottom: 15px; }

/** Images */
img { max-width: 100%; vertical-align: middle; }

/** Figures */
figure > img { display: block; }

figcaption { font-size: 17.5px; }

/** Lists */
ul, ol { margin-left: 30px; }

li > ul, li > ol { margin-bottom: 0; }

/** Headings */
h1, h2, h3, h4, h5, h6 { font-weight: 400; color: #ff0000; }

/** Links */
a { color: #67b1d8; text-decoration: none; }
a:visited { color: #328fc1; }
a:hover { color: #67b1d8; text-decoration: underline; }

/** Blockquotes */
blockquote { color: #cccccc; border-left: 4px solid white; padding-left: 15px; font-size: 18px; letter-spacing: -1px; font-style: italic; }
blockquote > :last-child { margin-bottom: 0; }

/** Code formatting */
pre, code { font-size: 15px; border: 1px solid white; border-radius: 3px; background-color: #000; color: #fff; /* Fixes problem with Rouge code blocks line numbers */ /*max-width: 100px;*/ max-width: calc(1000px - (30px * 2)); max-width: -webkit-calc(1000px - (30px * 2)); }

code { padding: 1px 5px; }

pre { padding: 8px 12px; overflow-x: scroll; }
pre > code { border: 0; padding-right: 0; padding-left: 0; }

/** Wrapper */
.wrapper { max-width: -webkit-calc(1000px - (30px * 2)); max-width: calc(1000px - (30px * 2)); /* using a margin width in em units will allow it to scale to the whole page, otherwise (with non em units) it will maintain margins */ margin-right: auto; margin-left: auto; padding-right: 30px; padding-left: 30px; }
@media screen and (max-width: 800px) { .wrapper { max-width: -webkit-calc(1000px - (30px)); max-width: calc(1000px - (30px)); padding-right: 15px; padding-left: 15px; } }

/** Clearfix */
.wrapper:after, .footer-col-wrapper:after { content: ""; display: table; clear: both; }

/** Icons */
.icon > svg { display: inline-block; width: 16px; height: 16px; vertical-align: middle; }
.icon > svg path { fill: #cccccc; }

/** Site header */
.site-header { border-top: 5px solid #fced54; border-bottom: 1px solid #fced54; min-height: 56px; position: relative; }

.site-title { font-size: 26px; line-height: 56px; letter-spacing: -1px; margin-bottom: 0; float: left; }

.site-nav { float: right; line-height: 56px; }
.site-nav .menu-icon { display: none; }
.site-nav .page-link { line-height: 1.5; }
.site-nav .page-link:not(:first-child) { margin-left: 20px; }
@media screen and (max-width: 600px) { .site-nav { position: absolute; top: 9px; right: 30px; background-color: #111111; border: 1px solid white; border-radius: 5px; text-align: right; }
  .site-nav .menu-icon { display: block; float: right; width: 36px; height: 26px; line-height: 0; padding-top: 10px; text-align: center; }
  .site-nav .menu-icon > svg { width: 18px; height: 15px; }
  .site-nav .menu-icon > svg path { fill: #8c8c8c; }
  .site-nav .trigger { clear: both; display: none; }
  .site-nav:hover .trigger { display: block; padding-bottom: 5px; }
  .site-nav .page-link { display: block; padding: 5px 10px; } }

/** Site footer */
.site-footer { border-top: 1px solid #fced54; padding: 30px 0; }

.footer-heading { font-size: 18px; margin-bottom: 15px; }

.contact-list, .social-media-list { list-style: none; margin-left: 0; }

.footer-col-wrapper { font-size: 15px; color: #cccccc; margin-left: -15px; }

.footer-col { float: left; margin-bottom: 15px; padding-left: 15px; }

.footer-col-1 { width: -webkit-calc(35% - (30px / 2)); width: calc(35% - (30px / 2)); }

.footer-col-2 { width: -webkit-calc(20% - (30px / 2)); width: calc(20% - (30px / 2)); }

.footer-col-3 { width: -webkit-calc(45% - (30px / 2)); width: calc(45% - (30px / 2)); }

@media screen and (max-width: 800px) { .footer-col-1, .footer-col-2 { width: -webkit-calc(50% - (30px / 2)); width: calc(50% - (30px / 2)); }
  .footer-col-3 { width: -webkit-calc(100% - (30px / 2)); width: calc(100% - (30px / 2)); } }
@media screen and (max-width: 600px) { .footer-col { float: none; width: -webkit-calc(100% - (30px / 2)); width: calc(100% - (30px / 2)); } }
/** Page content */
.page-content { padding: 30px 0; }

.page-heading { font-size: 20px; }

.post-list { margin-left: 0; list-style: none; }
.post-list > li { margin-bottom: 30px; }

.post-meta { font-size: 17.5px; color: #cccccc; }

.post-link { display: block; font-size: 24px; }

/** Posts */
.post-header { margin-bottom: 30px; }

.post-title { font-size: 325%; letter-spacing: -1px; line-height: 1; }
@media screen and (max-width: 800px) { .post-title { font-size: 36px; } }

.post-content { margin-bottom: 30px; }
.post-content h1 { font-size: 300%; }
.post-content h2 { font-size: 275%; }
.post-content h3 { font-size: 250%; }
.post-content h4 { font-size: 225%; }
.post-content h5 { font-size: 200%; }
.post-content h6 { font-size: 175%; }

/** Syntax highlighting styles */
.highlight { /*background: $syntax-bg-color;*/ /*generated by jekyll 3:*/ /*background: #fff;*/ /*@extend %vertical-rhythm;*/ /*.highlighter-rouge & {*/ /*  background: #eef;*/ /*}*/ }
.highlighter-rouge .highlight { /*background: $syntax-bg-color;*/ background: #111111; }
.highlight .c { color: #998; font-style: italic; }
.highlight .err { color: #a61717; background-color: #e3d2d2; }
.highlight .k { font-weight: bold; }
.highlight .o { font-weight: bold; }
.highlight .cm { color: #998; font-style: italic; }
.highlight .cp { color: #999; font-weight: bold; }
.highlight .c1 { color: #998; font-style: italic; }
.highlight .cs { color: #999; font-weight: bold; font-style: italic; }
.highlight .gd { color: #000; background-color: #fdd; }
.highlight .gd .x { color: #000; background-color: #faa; }
.highlight .ge { font-style: italic; }
.highlight .gr { color: #a00; }
.highlight .gh { color: #999; }
.highlight .gi { color: #000; background-color: #dfd; }
.highlight .gi .x { color: #000; background-color: #afa; }
.highlight .go { color: #888; }
.highlight .gp { color: #555; }
.highlight .gs { font-weight: bold; }
.highlight .gu { color: #aaa; }
.highlight .gt { color: #a00; }
.highlight .kc { font-weight: bold; }
.highlight .kd { font-weight: bold; }
.highlight .kp { font-weight: bold; }
.highlight .kr { font-weight: bold; }
.highlight .kt { color: #458; font-weight: bold; }
.highlight .m { color: #099; }
.highlight .s { color: #d14; }
.highlight .na { color: #008080; }
.highlight .nb { color: #0086B3; }
.highlight .nc { color: #458; font-weight: bold; }
.highlight .no { color: #008080; }
.highlight .ni { color: #800080; }
.highlight .ne { color: #900; font-weight: bold; }
.highlight .nf { color: #900; font-weight: bold; }
.highlight .nn { color: #555; }
.highlight .nt { color: #000080; }
.highlight .nv { color: #008080; }
.highlight .ow { font-weight: bold; }
.highlight .w { color: #bbb; }
.highlight .mf { color: #099; }
.highlight .mh { color: #099; }
.highlight .mi { color: #099; }
.highlight .mo { color: #099; }
.highlight .sb { color: #d14; }
.highlight .sc { color: #d14; }
.highlight .sd { color: #d14; }
.highlight .s2 { color: #d14; }
.highlight .se { color: #d14; }
.highlight .sh { color: #d14; }
.highlight .si { color: #d14; }
.highlight .sx { color: #d14; }
.highlight .sr { color: #009926; }
.highlight .s1 { color: #d14; }
.highlight .ss { color: #990073; }
.highlight .bp { color: #999; }
.highlight .vc { color: #008080; }
.highlight .vg { color: #008080; }
.highlight .vi { color: #008080; }
.highlight .il { color: #099; }
